version: '3.8'

services:
  evening_detective_frontend:
    image: byjg/static-httpserver:latest
    container_name: evening_detective_frontend
    restart: unless-stopped
    volumes:
      - ./dist:/static
    networks:
      - crabs-network
    ports:
      - "8100:8080"
    environment:
      - SPA_MODE=true
    labels:
      reproxy.1.server: "evening-detective.crabs-games.art"
      reproxy.1.route: "/(.*)"
      reproxy.1.dest: "http://evening_detective_frontend:8100/$$1"
      reproxy.1.port: "8100"
      reproxy.1.ping: "/"
      reproxy.1.priority: 100

networks:
  crabs-network:
    name: crabs-network
    external: true
